curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-quotations \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-quotations"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-quotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"assignedUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesQuotationNumber": "<string>",
"currencyFactor": 123,
"extraWeight": 123,
"shippingWeight": 123,
"salesQuotationDate": "2023-11-07T05:31:56Z",
"departureCountryCurrencyIso": "<string>",
"departureCountryCurrencyFactor": 123,
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalSalesQuotationNumber": "<string>",
"platformName": "<string>",
"comment": "<string>",
"currencyIso": "<string>",
"printDate": "2023-11-07T05:31:56Z",
"mailDate": "2023-11-07T05:31:56Z",
"processStatusName": "<string>",
"departureCountryIso": "<string>",
"departureCountryName": "<string>",
"billingAddressCompany": "<string>",
"billingAddressFirstName": "<string>",
"billingAddressLastName": "<string>",
"billingAddressStreet": "<string>",
"billingAddressAdditionalAddressLine": "<string>",
"billingAddressPostalCode": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountryName": "<string>",
"billingAddressPhoneNumber": "<string>",
"billingAddressFax": "<string>",
"billingAddressEmailAddress": "<string>",
"billingAddressAdditionalCompanyLine": "<string>",
"billingAddressState": "<string>",
"shipmentAddressCompany": "<string>",
"shipmentAddressFirstName": "<string>",
"shipmentAddressLastName": "<string>",
"shipmentAddressStreet": "<string>",
"shipmentAddressAdditionalAddressLine": "<string>",
"shipmentAddressPostalCode": "<string>",
"shipmentAddressCity": "<string>",
"shipmentAddressCountryName": "<string>",
"shipmentAddressPhoneNumber": "<string>",
"shipmentAddressFax": "<string>",
"shipmentAddressEmailAddress": "<string>",
"shipmentAddressAdditionalCompanyLine": "<string>",
"shipmentAddressState": "<string>",
"assignedUserName": "<string>",
"createdByUserName": "<string>",
"companyName": "<string>",
"salesChannelName": "<string>",
"customerGroupName": "<string>",
"paymentMethodName": "<string>",
"shippingMethodName": "<string>",
"customerNumber": "<string>",
"totalGrossAmount": 123,
"totalNetAmount": 123,
"shippingCountryTotalGrossAmount": 123,
"shippingCountryTotalNetAmount": 123,
"customerComment": "<string>",
"processColourCode": 123,
"processColourName": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Retrieves all sales quotations.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose PrintDate is after (greater than) this value.
Only include items whose PrintDate is before (less than) this value.
Only include items whose MailDate is after (greater than) this value.
Only include items whose MailDate is before (less than) this value.
Only include items whose SalesQuotationDate is after (greater than) this value.
Only include items whose SalesQuotationDate is before (less than) this value.
Was this page helpful?